<p class="title"><%= 'Preview'.t %></p>
<p>
<%= link_to h(@myfile.filename), :controller => 'file', :action => 'download', :id => @myfile.id %> in <%= path(@myfile.folder, true) %>

<% unless params[:search].blank? %>
    <%= 'with search query highlighted:'.t %> <b><%= params[:search] %></b>
<% end %>

</p>


<div class="preview">
    <%= h(@text).gsub("\r\n","<br>").gsub("\n","<br>").gsub('[h]', '<span class="highlight">').gsub('[/h]', '</span>') %>
</div>
<p>
<%= link_to 'Edit'.t, :controller => :file, :action => 'edit_preview', :id => @myfile %> <br>
<%= link_to 'Restore preview from file'.t, {:controller => :file, :action => 'reindex', :id => @myfile}, :confirm => 'Are you sure?'.t %>
</p>